# Sujet n° 12 : Développement d’un système de prévision de vente à base d’apprentissage automatique

*Encadrants :* Mattias Eyherabide (`mattias dot eyherabide at proton dot me`), Cyrille Bertelle, Alexandre Berred

L’intelligence artificielle et l’apprentissage automatique sont aujourd’hui fortement mobilisés pour assister le secteur de la vente et de la production afin de mieux gérer l’offre et la demande et éviter les ruptures de stock.

L’objectif de ce projet est, dans un premier temps, de faire une recherche sur les outils informatiques existants (ouverts ou commerciaux) qui proposent des systèmes d’aide à la prévision de vente. Dans ces outils, on étudiera les techniques ou modèles utilisés, notamment si des techniques d’IA ou d’apprentissage automatiques sont proposées. Un des défis majeurs d’efficacité de ces outils lorsqu’ils sont destinés à un usage direct de producteurs ou de distributeurs, est la mobilisation des données de ces derniers et la manière de les accompagner pour identifier celles qui sont pertinentes. On étudiera plus précisément quelles sont les méthodologies et les techniques proposées pour cela par les producteurs de solutions.

Dans un deuxième temps, le projet consiste à développer un outil de simulation dans lequel des producteurs livrent leur marchandises à plusieurs entrepôts qui eux-mêmes redistribuent vers les sites de vente en fonction de la demande. On simulera par exemple, un producteur de produits agricoles saisonniers qui cherche à ajuter sa production en minimisant ses pertes et en optimisant ses prix de vente. On simulera des gestionnaires d’entrepôt pour lesquels des comportements spécifiques variés peuvent être implémentés  (stock minimal ou stock de précaution pour éviter les ruptures). Le but est d’étudier comment ces paramètres comportementaux agissent sur les outils d’apprentissage mobilisés dans les calculs de prévision de ventes.
