# Sujet n° 14 : Conception d’une application mobile React Native d’emargement pour les examens via la technologie blockchain avec la plateforme Ethereum

*Encadrants :* Maxence Lambard, Cyrille Bertelle, Claude Duvallet

La blockchain est une technologie de stockage et de transmission d’informations, transparente, sécurisée, et fonctionnant sans organe central de contrôle. Elle est souvent associée à l’actif numérique Bitcoin, mais ses applications vont bien au-delà.

En ce qui concerne l’ancrage des données, la blockchain offre plusieurs avantages :
  * **Immuabilité** : Une fois qu’une donnée est enregistrée sur la blockchain, elle ne peut pas être modifiée. Cela garantit l’intégrité des données ancrées.
  * **Transparence** : Toutes les transactions sur la blockchain sont visibles par tous les participants, ce qui assure une transparence totale.
  * **Sécurité** : La blockchain utilise des technologies de cryptographie avancées pour assurer la sécurité des données.
  * **Décentralisation** : La blockchain est décentralisée, ce qui signifie qu’aucune entité unique n’a le contrôle total des données. Cela réduit le risque de manipulation des données.
  * **Traçabilité :** Chaque transaction sur la blockchain peut être tracée jusqu’à son origine.

Ces caractéristiques font de la blockchain une technologie idéale pour l’ancrage des données. Nous souhaitons à l’aide de cette technologie rendre plus facile l’émargement durant les examens par le biais d’une application mobile React Native. L’application permettra de créer une session d’examen, lire les cartes des étudiants et d’enregistrer la liste dans un registre sécurisé qui est celui de la blockchain Ethereum. Un mécanisme d’authentification sera bien évidemment à développer afin de sécuriser l’accès à ces données.
