# Projet : Reconstruction du réseau mondial de transport maritime à partir des données AIS

*Encadrants :* Claude Duvallet, Yoann Pigné, Théo Morel

Le système d'identification automatique (AIS) repose sur l'échange radio de messages entre différents acteurs maritimes, tels que les navires, les bouées et les ports, dans le but d'améliorer la sécurité en mer. Les informations obtenues grâce à ce système permettent d'observer le trafic maritime.

![Zones portuaires et zones d'ancrage détectées par AIS](zonesAIS.png)

L'objectif de ce projet est de reconstruire le réseau du transport maritime à l'échelle mondiale en utilisant des données AIS. Pour ce faire, une approche basée sur les graphes sera adoptée pour représenter les relations entre les navires et les ports. Plusieurs représentations  sont envisageables en fonction de l'aspect que l'on souhaite explorer, que ce soit du côté des navires, des ports, ou des deux.

![Types possibles de réseaux en fonction des acteurs considérés](typesDeReseauxMaritimes.jpg)


Une fois le réseau construit, il pourra être analysé comme un réseau classique. Par exemple, il sera possible d'étudier la distribution des degrés de ses sommets pour identifier des caractéristiques du réseau.

![Invariance d'échelle du réseau maritime](invarianceEchelleReseauMaritime.jpg)


Cependant, il est important de noter que ce réseau n'est pas statique, il évolue en permanence. Par conséquent, nous souhaitons également nous intéresser à une modélisation sous forme de graphe dynamique, ce qui nous permettra de proposer des métriques dynamiques telles que des séries temporelles, entre autres.

## Travail demandé

À partir des sources de données AIS, vous devrez :

1. Proposer la construction d'un réseau dynamique en fonction d'une modélisation choisie (événementielle, basée sur des instantanés, etc.).

2. Développer des métriques de graphe pour qualifier et quantifier les graphes obtenus dans le cadre de cette modélisation dynamique.

In fine votre modélisation et vos métriques serviront à entrainer un réseau de neurones proposant de la prédiction de dates d'arrivées de navires.
